Actual of 1z0 803 dumps practice question materials and answers for Oracle certification for IT engineers, Real Success Guaranteed with Updated 1z0 803 pdf pdf dumps vce Materials. 100% PASS Java SE 7 Programmer I exam Today!

Q31. public class StringReplace { 

public static void main(String[] args) { 

String message = "Hi everyone!"; 

System.out.println("message = " + message.replace("e", "X")); } 

What is the result? 

A. message = Hi everyone! 

B. message = Hi XvXryonX! 

C. A compile time error is produced. 

D. A runtime error is produced. 

E. message = 

F. message = Hi Xveryone! 

Answer:


Q32. Given: 

Which two code fragments are valid? 

A. Option A 

B. Option B 

C. Option C 

D. Option D 

E. Option E 

Answer: BC 


Q33. Given: 

What is the result? 

A. 10 : 22 : 20 

B. 10 : 22 : 22 

C. 10 : 22 : 6 

D. 10 : 30 : 6 

Answer:


Q34. Given: 

Which approach ensures that the class can be compiled and run? 

A. Put the throw new Exception() statement in the try block of try – catch 

B. Put the doSomethingElse() method in the try block of a try – catch 

C. Put the doSomething() method in the try block of a try – catch 

D. Put the doSomething() method and the doSomethingElse() method in the try block of a try – catch 

Answer:


Q35. View the Exhibit. 

public class Hat { 

public int ID =0; 

public String name = "hat"; 

public String size = "One Size Fit All"; 

public String color=""; 

public String getName() { return name; } 

public void setName(String name) { 

this.name = name; 

Given 

public class TestHat { 

public static void main(String[] args) { 

Hat blackCowboyHat = new Hat(); 

Which statement sets the name of the Hat instance? 

A. blackCowboyHat.setName = "Cowboy Hat"; 

B. setName("Cowboy Hat"); 

C. Hat.setName("Cowboy Hat"); 

D. blackCowboyHat.setName("Cowboy Hat"); 

Answer:


Q36. Given the code fragment: 

How many times is 2 printed? 

A. Zero 

B. Once 

C. Twice 

D. Thrice 

E. It is not printed because compilation fails 

Answer:


Q37. Given the code fragment: 

nt a = 0; 

a++; 

System.out.printIn(a++); 

System.out.printIn(a); 

What is the result? 

A. 1 2 

B. 0 1 

C. 1 1 

D. 2 2 

Answer:


Q38. Given: 

public class Main { 

public static void main(String[] args) { 

try { 

doSomething(); 

catch (SpecialException e) { 

System.out.println(e); 

}} 

static void doSomething() { 

int [] ages = new int[4]; 

ages[4] = 17; 

doSomethingElse(); 

static void doSomethingElse() { 

throw new SpecialException("Thrown at end of doSomething() method"); } 

What is the output? 

A. SpecialException: Thrown at end of doSomething() method 

B. Error in thread "main" java.lang. 

ArrayIndexOutOfBoundseror 

C. Exception in thread "main" java.lang.ArrayIndexOutOfBoundsException: 4 

at Main.doSomething(Main.java:12) 

at Main.main(Main.java:4) 

D. SpecialException: Thrown at end of doSomething() method at 

Main.doSomethingElse(Main.java:16) 

at Main.doSomething(Main.java:13) 

at Main.main(Main.java:4) 

Answer:


Q39. Given: 

public class MainMethod { 

void main() { 

System.out.println("one"); 

static void main(String args) { 

System.out.println("two"); 

public static void main(String[] args) { 

System.out.println("three"); 

void mina(Object[] args) { 

System.out.println("four"); 

What is printed out when the program is excuted? 

A. one 

B. two 

C. three 

D. four 

Answer:


Q40. Given the fragment: 

What is the result? 

A. 13480.0 

B. 13480.02 

C. Compilation fails 

D. An exception is thrown at runtime 

Answer: